nvidia-computeG03-340.107-lp150.17.1.x86_64.rpm


Advertisement

Description

nvidia-computeG03 - NVIDIA driver for computing with GPGPU

Property Value
Distribution openSUSE Leap 15.0
Repository nVidia drivers all
Package filename nvidia-computeG03-340.107-lp150.17.1.x86_64.rpm
Package name nvidia-computeG03
Package version 340.107
Package release lp150.17.1
Package architecture x86_64
Package type rpm
Category System/Libraries
Homepage https://www.nvidia.com/object/unix.html
License SUSE-NonFree
Maintainer -
Download size 17.42 MB
Installed size 55.74 MB
NVIDIA driver for computing with GPGPUs using CUDA or OpenCL.

Alternatives

Package Version Architecture Repository
nvidia-computeG03 - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.2.5)(64bit) -
libdl.so.2 -
libdl.so.2()(64bit) -
libdl.so.2(GLIBC_2.0) -
libdl.so.2(GLIBC_2.1) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
libm.so.6 -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.0) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libpthread.so.0 -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.1) -
libpthread.so.0(GLIBC_2.2) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
librt.so.1()(64bit) -
librt.so.1(GLIBC_2.2.5)(64bit) -
nvidia-gfxG03-kmp = 340.107

Provides

Name Value
config(nvidia-computeG03) = 340.107-lp150.17.1
libOpenCL.so.1 -
libOpenCL.so.1()(64bit) -
libcuda.so.1 -
libcuda.so.1()(64bit) -
libnvidia-ml.so.1 -
libnvidia-ml.so.1()(64bit) -
libnvidia-opencl.so.1 -
libnvidia-opencl.so.1()(64bit) -
nvidia-computeG03 = 340.107-lp150.17.1
nvidia-computeG03(x86-64) = 340.107-lp150.17.1
x11-video-nvidiaG03:/usr/lib/libcuda.so -

Conflicts

Name Value
libOpenCL1 -
nvidia-computeG02 -

Download

Type URL
Mirror http.download.nvidia.com
Binary Package nvidia-computeG03-340.107-lp150.17.1.x86_64.rpm
Source Package x11-video-nvidiaG03-340.107-lp150.17.1.nosrc.rpm

Install Howto

  1. Add the nVidia drivers repository:
    # zypper addrepo http://http.download.nvidia.com/opensuse/leap/15.0/ nvidia
  2. Install nvidia-computeG03 rpm package:
    # zypper install nvidia-computeG03

Files

Path
/etc/OpenCL/
/etc/OpenCL/vendors/nvidia.icd
/etc/modprobe.d/50-nvidia.conf
/usr/bin/nvidia-cuda-mps-control
/usr/bin/nvidia-cuda-mps-server
/usr/bin/nvidia-modprobe
/usr/bin/nvidia-smi
/usr/lib/libOpenCL.so
/usr/lib/libOpenCL.so.1
/usr/lib/libOpenCL.so.1.0.0
/usr/lib/libcuda.so
/usr/lib/libcuda.so.1
/usr/lib/libcuda.so.340.107
/usr/lib/libnvidia-ml.so.1
/usr/lib/libnvidia-ml.so.340.107
/usr/lib/libnvidia-opencl.so.1
/usr/lib/libnvidia-opencl.so.340.107
/usr/lib64/libOpenCL.so
/usr/lib64/libOpenCL.so.1
/usr/lib64/libOpenCL.so.1.0.0
/usr/lib64/libcuda.so
/usr/lib64/libcuda.so.1
/usr/lib64/libcuda.so.340.107
/usr/lib64/libnvidia-ml.so
/usr/lib64/libnvidia-ml.so.1
/usr/lib64/libnvidia-ml.so.340.107
/usr/lib64/libnvidia-opencl.so.1
/usr/lib64/libnvidia-opencl.so.340.107
/usr/share/man/man1/nvidia-cuda-mps-control.1.gz

Changelog

2019-07-08 - Stefan Dirsch <sndirsch@suse.com>
- kmp-post.sh/kmp-trigger.sh
* exit with error code 1 from %post/%trigger, if kernel module
build/install fails (boo#1131028)
2019-07-02 - Stefan Dirsch <sndirsch@suse.com>
- no longer touch xorg.conf on suse >= sle12
2019-06-13 - Stefan Dirsch <sndirsch@suse.com>
- making use of parallel builds with make's -j option
2018-10-12 - sndirsch@suse.com
- let nvidia-glG03 %post-require xorg-x11-server, since on
Optimus we want to switch back to X.Org's libglx.so (bsc#1111471)
2018-10-12 - sndirsch@suse.com
- let nvidia-glG03 recommend the following packages:
* Mesa-libGL1
* Mesa-libEGL1
* Mesa-libGLESv1_CM1
* Mesa-libGLESv2-2
This is needed for Optimus systems once NVIDIA's GL libs get disabled
(our default); these packages won't get installed when adding NVIDIA's
repository before the installation, which e.g. happens on SLED
(bsc#1111471)
2018-09-23 - sndirsch@suse.com
- no longer alter, i.e. strip NVIDIA's libraries
2018-06-07 - sndirsch@suse.com
- update to version 340.106
* Updated nvidia-installer in the 340.xx legacy driver series to default
to installing the driver without the NVIDIA Unified Memory kernel
module if this module fails to build at installation time. The 340.xx
legacy Unified Memory kernel module is incompatible with recent Linux
kernels, and the GPU hardware generations that the 340.xx legacy driver
series is intended to support do not support Unified Memory.
* Added support for X.Org xserver ABI 24 (xorg-server 1.20).
* Improved nvidia-bug-report.sh to check for kern.log which is the default
kernel log-file location for many Debian-based Linux distributions.
* Fixed a bug which could cause X servers that export a Video Driver
ABI earlier than 0.8 to crash when running X11 applications which
call XRenderAddTraps().
2018-05-23 - sndirsch@suse.com
- generate-service-file.sh: use https instead of ftp ...
- _service: updated via generate-service-file.sh
2018-05-17 - sndirsch@suse.com
- workaround build failure of kernelrelease target on sle12-sp4
(boo#1093333)
2018-03-29 - sndirsch@suse.com
- supplements macro name changed again with rpm 4.14.1, i.e. sle15/
Leap15/TW (boo#1087460)
* %__ksyms_supplements --> %__kmp_supplements

See Also

Package Description
nvidia-computeG04-390.129-lp150.6.1.x86_64.rpm NVIDIA driver for computing with GPGPU
nvidia-computeG05-435.21-lp150.19.1.x86_64.rpm NVIDIA driver for computing with GPGPU
nvidia-gfxG03-kmp-default-340.107_k4.12.14_lp150.11-lp150.17.1.x86_64.rpm NVIDIA graphics driver kernel module for GeForce 8xxx and newer GPUs
nvidia-gfxG04-kmp-default-390.129_k4.12.14_lp150.11-lp150.6.1.x86_64.rpm NVIDIA graphics driver kernel module for GeForce 400 series and newer
nvidia-gfxG05-kmp-default-435.21_k4.12.14_lp150.11-lp150.19.1.x86_64.rpm NVIDIA graphics driver kernel module for GeForce 600 series and newer
nvidia-glG03-340.107-lp150.17.1.x86_64.rpm NVIDIA GL libraries for OpenGL acceleration
nvidia-glG04-390.129-lp150.6.1.x86_64.rpm NVIDIA OpenGL libraries for OpenGL acceleration
nvidia-glG05-435.21-lp150.19.1.x86_64.rpm NVIDIA OpenGL libraries for OpenGL acceleration
nvidia-uvm-gfxG03-kmp-default-340.107_k4.12.14_lp150.11-lp150.17.1.x86_64.rpm NVIDIA Unified Memory kernel module
x11-video-nvidiaG03-340.107-lp150.17.1.x86_64.rpm NVIDIA graphics driver for GeForce 8xxx and newer GPUs
x11-video-nvidiaG04-390.129-lp150.6.1.x86_64.rpm NVIDIA graphics driver for GeForce 400 series and newer
x11-video-nvidiaG05-435.21-lp150.19.1.x86_64.rpm NVIDIA graphics driver for GeForce 600 series and newer
Advertisement
Advertisement